> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# POST /checkout-domains/{domain_id}/verify-payment-method

**Verify a payment method for a checkout domain**

Triggers payment method verification for a checkout domain. Currently supports Apple Pay only.

Before verifying, the checkout domain must be in `approved` status and the domain association file must be correctly hosted.

**Required permissions:** `checkout_domain.write`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `domain_id` | string | required | Paddle ID of the checkout domain entity to work with. |

## Request body

- `payment_method`: string (required) — Payment method to verify. Currently only apple_pay is supported.
  - `apple_pay` — Verify this checkout domain for Apple Pay.

### Request example

```json
{
  "payment_method": "apple_pay"
}
```

## Response (200)

- `data`: object (required) — Represents a checkout domain entity.
  - `id`: string (required) — Unique Paddle ID for this checkout domain entity, prefixed with `chedom_`. (pattern: `^chedom_[a-z\d]{26}$`)
  - `domain`: string (hostname) (required) — Checkout domain name.
  - `status`: string (required) — Approval status of this checkout domain. Checkout domains are created as `pending_review`. Other statuses are automatically set by Paddle when reviewing the domain.
    - `pending_review` — Domain is newly added and is pending review.
    - `approved` — Domain has been approved and can be used for checkouts.
    - `rejected` — Domain has been rejected and cannot be used for checkouts.
    - `in_review` — Domain is currently under review by Paddle.
  - `payment_method_verification`: object (required) — Payment method verification status for this checkout domain.
    - `apple_pay`: object (required) — Apple Pay verification status for this checkout domain.
      - `status`: string (required) — Payment method verification status for this checkout domain.
        - `verified` — Payment method is verified for this checkout domain.
        - `unverified` — Payment method isn't verified for this checkout domain.
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "chedom_01kkertpke0gv2t61p1pq8v23x",
    "domain": "app.example.com",
    "status": "approved",
    "payment_method_verification": {
      "apple_pay": {
        "status": "verified"
      }
    },
    "created_at": "2026-03-04T12:00:00.000Z",
    "updated_at": "2026-03-06T10:00:00.000Z"
  },
  "meta": {
    "request_id": "a94b2e05-1d73-4f6c-8e3a-5c61b9d72f88"
  }
}
```
